Name:          lxqt-session
Version:       1.3.0
Release:       1mamba
Summary:       Tools to handle LXQt sessions
Group:         Graphical Desktop/Applications/Environment
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/lxqt/lxqt-session
Source:        https://github.com/lxqt/lxqt-session.git/%{version}/lxqt-session-%{version}.tar.bz2
Patch0:        lxqt-session-1.1.0-openmamba-default-config.patch
Patch1:        lxqt-session-0.17.1-startlxqt-include-xinitrc.d-to-fix-dbus-display.patch
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libICE-devel
BuildRequires: libQt5Svg-devel
BuildRequires: libQt5X11Extras-devel
BuildRequires: libSM-devel
BuildRequires: libX11-devel
BuildRequires: libXext-devel
BuildRequires: libgcc
BuildRequires: libglib-devel
BuildRequires: libkwindowsystem-devel
BuildRequires: liblxqt-devel
BuildRequires: libprocps-devel
BuildRequires: libqtxdg-devel
BuildRequires: libstdc++6-devel
BuildRequires: libudev-devel
BuildRequires: qt5-qtbase-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
BuildRequires: qtxdg-tools-devel
BuildRequires: xdg-user-dirs
Requires:      qtxdg-tools
Requires:      xdg-user-dirs
Requires:      lxqt-panel
Requires:      lxqt-themes
Requires:      lxqt-globalkeys
Requires:      lxqt-config
Requires:      lxqt-notificationd
Requires:      lxqt-policykit
Requires:      lxqt-about
Requires:      lxqt-powermanagement
Requires:      liblxqt-qtplugin
Requires:      lxqt-kcm-integration
Requires:      pcmanfm-qt
Requires:      lxqt-archiver
Requires:      qterminal
Requires:      libqt5-plugins
Requires:      breeze-icons
Requires:      breeze
Requires:      breeze-gtk
Requires:      lxqt-sudo
Requires:      network-manager-applet
Requires:      xsettingsd
Requires:      openbox
Requires:      obconf-qt
Requires:      lxqt-runner
Requires:      lxqt-openssh-askpass
Requires:      lxqt-admin
Requires:      qps
Requires:      screengrab
Requires:      dnfdragora-updater
Requires(post): shared-mime-info
Obsoletes:     lxde <= 1.0-4mamba
Obsoletes:     lxpanel <= 0.10.1-1mamba
Obsoletes:     lxde-common <= 0.99.2-2mamba
Obsoletes:     lxinput <= 0.3.5-1mamba
Obsoletes:     lxlauncher <= 0.2.5-1mamba
Obsoletes:     lxsession <= 0.5.5-1mamba
Obsoletes:     lxsession-edit <= 0.2.0-1mamba
Obsoletes:     lxtask <= 0.1.10-1mamba
Obsoletes:     lxrandr <= 0.3.2-1mamba
Obsoletes:     lxnm <= 0.2.2-5mamba
Obsoletes:     lxappearance <= 0.6.3-1mamba

%description
Tools to handle LXQt sessions.
First of all there's session manager lxqt-session. The binary is launched right at the beginning of LXQt sessions and in turn responsible for launching and monitoring all other components constituting the sessions.
GUI "LXQt Session Settings" (binary lxqt-config-session) is used to configure various settings affecting the session, e. g. which window manager to use or which applications to start automatically.
Binary lxqt-leave deals with interrupting or terminating sessions. It comes with several options expressing the action they trigger, e. g. --leave, --hibernate, --shutdown or --reboot.

%debug_package

%prep
%setup -q
%patch 0 -p1
%patch 1 -p1

%build
%cmake -d build
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

find %{buildroot}%{_datadir}/*/translations/ -name *.qm | \
while read line; do
  bn=`echo ${line}|cut -d_ -f2-3`
  echo "%lang(${bn/.*}) ${line/*-root}" >> %{name}.lang
done

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%posttrans
update-mime-database /usr/share/mime >/dev/null 2>&1
:

%files -f %{name}.lang
%defattr(-,root,root)
%{_sysconfdir}/xdg/autostart/lxqt-xscreensaver-autostart.desktop
%{_bindir}/lxqt-config-session
%{_bindir}/lxqt-leave
%{_bindir}/lxqt-session
%{_bindir}/startlxqt
%{_datadir}/applications/lxqt-config-session.desktop
%{_datadir}/applications/lxqt-hibernate.desktop
%{_datadir}/applications/lxqt-leave.desktop
%{_datadir}/applications/lxqt-lockscreen.desktop
%{_datadir}/applications/lxqt-logout.desktop
%{_datadir}/applications/lxqt-reboot.desktop
%{_datadir}/applications/lxqt-shutdown.desktop
%{_datadir}/applications/lxqt-suspend.desktop
%{_datadir}/lxqt/lxqt.conf
%{_datadir}/lxqt/session.conf
%{_datadir}/lxqt/windowmanagers.conf
%{_mandir}/man1/lxqt-config-session.1*
%{_mandir}/man1/lxqt-leave.1*
%{_mandir}/man1/lxqt-session.1*
%{_mandir}/man1/startlxqt.1*
%{_datadir}/xsessions/lxqt.desktop
%doc AUTHORS LICENSE

%changelog
* Thu Apr 20 2023 Automatic Build System <autodist@mambasoft.it> 1.3.0-1mamba
- automatic version update by autodist

* Sat Nov 12 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2.0-2mamba
- require dnfdragora-updater

* Thu Nov 10 2022 Automatic Build System <autodist@mambasoft.it> 1.2.0-1mamba
- automatic version update by autodist

* Sat Oct 08 2022 Automatic Build System <autodist@mambasoft.it> 1.1.1-1mamba
- automatic version update by autodist

* Sat May 07 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.0-3mamba
- obsolete most lxde old packages

* Thu Apr 21 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 1.1.0-2mamba
- lxdm.conf: rename theme kde-plasma to KDE-Plasma

* Thu Apr 21 2022 Automatic Build System <autodist@mambasoft.it> 1.1.0-1mamba
- automatic version update by autodist

* Sun Jan 02 2022 Automatic Build System <autodist@mambasoft.it> 1.0.1-1mamba
- automatic version update by autodist

* Wed Dec 29 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.0-2mamba
- obsolete lxde

* Sun Nov 21 2021 Automatic Build System <autodist@mambasoft.it> 1.0.0-1mamba
- automatic version update by autodist

* Thu Apr 22 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 0.17.1-2mamba
- startlxqt: patched to include xinitrc.d files including systemd fix for dbus session (fixes lxqt-config-monitor)

* Sun Apr 18 2021 Automatic Build System <autodist@mambasoft.it> 0.17.1-1mamba
- automatic version update by autodist

* Mon Nov 09 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 0.16.0-2mamba
- added more requirements

* Mon Nov 09 2020 Automatic Build System <autodist@mambasoft.it> 0.16.0-1mamba
- automatic version update by autodist

* Sat Oct 17 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 0.15.0-6mamba
- fix for default config patch not applied in previous release

* Fri Oct 16 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 0.15.0-5mamba
- require and set breeze theme, added other requirements

* Sun Oct 04 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 0.15.0-4mamba
- require libqt5-plugins

* Sat Oct 03 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 0.15.0-3mamba
- fix requirement name

* Sat Oct 03 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 0.15.0-2mamba
- add oxygen-icons and nm-applet requirements and default configuration with kde-plasma theme

* Fri Oct 02 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 0.15.0-1mamba
- package created using the webbuild interface
